Yes, we can.

The world is in panic mode after the recent WannaCry ransomware virus attack. This virus applies to non-patched (non-updated) Microsoft XP, Server 2000, Server 2003, Server 2008/R2, Server 2012/R2, Server 2016, Vista, 8, 8.1, and Windows 10 operating systems. It does not affect Apple based products such as Mac.

Here are a few steps to ensure you are protected from the WannaCry worm:

  1. If using XP or Server 2000/2003 — upgrade immediately
  2. Enable Automatic Updates within Windows Update in your control panel
  3. Check your Update History by visiting Windows Update in your control panel and searching for these Microsoft preventative updates:
    1. Vista: KB4012598
    2. Server 2008: KB4012598
    3. Server 2008 R2: KB4012212 -or- KB4012215
    4. Server 2012: KB4012214 -or- KB4012217 -or- KB4012213 -or- KB4012216
    5. Server 2016: KB4013429
    6. Windows 7: KB4012212 -or- KB4012215
    7. Windows 8.1: KB4012213 -or- KB4012216
    8. Windows 10: KB4012606 -or- KB4013198 -or- KB4013429
      Visit this link for more information

Feel free to contact us if you would rather have us protect your Windows based PC from this virus.